<div class="report">
  <mat-toolbar class="mb-2">
    <span>{{workTimeReportService.workReportTimeForm.controls['$key']?.value ? "Edycja raportu czasu pracy" : "Złóż raport pracy"}}</span>
    <span class="fill-remaining-space"></span>
    <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
      <mat-icon matTooltip="Zamknij">clear</mat-icon>
    </button>
  </mat-toolbar>

  <form [formGroup]="workTimeReportService.workReportTimeForm" class="normal-form" (submit)="onSubmit()">
    <div fxLayout="column">
      <mat-form-field>
        <input matInput formControlName="reportForDate" [matDatepicker]="picker" placeholder="Raport za dzień" required>
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
        <mat-error>Data za którą składany jest raport jest wymagana.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-select formControlName="type" required placeholder="Wybór typu"
                    [value]="workTimeReportService.workReportTimeForm.get('type').value">
          <mat-option value="nominalCopyright">Nominalny/Prawa Autorskie</mat-option>
          <mat-option value="nominal">Nominalny</mat-option>
          <mat-option value="overtime50">Nadgodziny 50%</mat-option>
          <mat-option value="overtime100">Nadgodziny 100%</mat-option>
        </mat-select>
        <mat-error>Typ raportu jest wymagany.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-select formControlName="project" placeholder="Wybór projektu"
                    [value]="workTimeReportService.workReportTimeForm.get('project').value">
          <mat-option *ngFor="let project of (projects$ | async)"
                      value="{{project?.id}}"> {{project?.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field>
        <input matInput formControlName="time" type="number" placeholder="Ilość przepracowanych godzin" required>
        <mat-error>Zdefiniowanie poświęconego czasu jest wymagane.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <textarea matInput formControlName="message" placeholder="Opis wykonanej pracy"></textarea>
        <mat-error>Krótki opis wykonanej czynności jest wymagany.</mat-error>
      </mat-form-field>
    </div>

    <div class="button-row">
      <button mat-raised-button color="primary" type="submit" [disabled]="workTimeReportService.workReportTimeForm.invalid">
        Zapisz
      </button>
      <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
    </div>
  </form>

</div>
